﻿using Infragistics.Controls.Menus;
using Infragistics.Controls.Menus.Primitives;
using Infragistics.DragDrop;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            DataTree.ItemsSource = GetData();
        }

        private System.Collections.IEnumerable GetData()
        {
            var testing = new ObservableCollection<string>
                 {
                 "testing",
                 "tsting2"
                 };
            return testing;
        }

        private void DragSource_Drop(object sender, DropEventArgs e)
        {
            var testing = DragDropManager.GetDragSource(e.DragSource);
            if (e.DropTarget is Grid)
            {
                XamDataTreeNodeControl node = (e.DropTarget as Grid).TemplatedParent as XamDataTreeNodeControl;
                int insertIndex = ((node.Parent as NodesPanel).Tree.ItemsSource as ObservableCollection<string>).IndexOf(node.Node.Data.ToString());
                ((node.Parent as NodesPanel).Tree.ItemsSource as ObservableCollection<string>).Insert(++insertIndex,(testing.AssociatedObject as TextBlock).Text );
                
            }
            else
                ((e.DropTarget as XamDataTree).ItemsSource as ObservableCollection<string>).Add((testing.AssociatedObject as TextBlock).Text);
        }

    }

}
